Bug 1836014 - fedora 32 images missing from libosinfo database
Summary: fedora 32 images missing from libosinfo database
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: osinfo-db
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Berrangé
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-14 23:24 UTC by Mohammed Arafa
Modified: 2020-05-31 03:56 UTC (History)
11 users (show)

Fixed In Version: osinfo-db-20200515-1.fc32 osinfo-db-20200515-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-19 09:18:58 UTC
Type: Bug


Attachments (Terms of Use)
are we supposed to see this? (166.70 KB, image/png)
2020-05-16 22:44 UTC, Mohammed Arafa
no flags Details

Description Mohammed Arafa 2020-05-14 23:24:28 UTC
Description of problem:

fedora 32 is missing from 
- virt-manager
- virt-builder
- osinfo-query os

these are the ones i have discovered.

it means that in cockpit when i want to set up a new fedora 32 vm from the "download an OS" option or any of the others, i need to setup a fedora 31 machine then upgrade from within the OS

Version-Release number of selected component (if applicable):


How reproducible:
everytime


Steps to Reproduce:
1.
2.
3.

Actual results:
fedora 32 is missing

Expected results:
i find fedora 32 as an option


Additional info:

this should be added to the go live/GA of any release somehow. like a ticket with an assigned owner on the day of GA at minimum

Comment 1 Fabiano Fidêncio 2020-05-15 07:58:21 UTC
It's already pushed upstream and a release including this should be done later Today.

Thaks for the bug report!

Comment 2 Fedora Update System 2020-05-15 12:14:49 UTC
FEDORA-2020-2befcceed3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2befcceed3

Comment 3 Fedora Update System 2020-05-15 12:22:31 UTC
FEDORA-2020-620f86784a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-620f86784a

Comment 4 Fedora Update System 2020-05-15 12:29:16 UTC
FEDORA-2020-2320e85ab1 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2320e85ab1

Comment 5 Fedora Update System 2020-05-16 04:44:13 UTC
FEDORA-2020-620f86784a has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-620f86784a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-620f86784a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-05-16 05:06:52 UTC
FEDORA-2020-2befcceed3 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-2befcceed3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2befcceed3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-05-16 05:41:58 UTC
FEDORA-2020-2320e85ab1 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-2320e85ab1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2320e85ab1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Mohammed Arafa 2020-05-16 22:44:41 UTC
Created attachment 1689262 [details]
are we supposed to see this?

Comment 9 Fedora Update System 2020-05-19 02:52:36 UTC
FEDORA-2020-2befcceed3 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Mohammed Arafa 2020-05-19 09:15:16 UTC
 marafa  ~  virt-builder --list|grep fedora-3
fedora-30                aarch64    Fedora® 30 Server (aarch64)
fedora-30                i686       Fedora® 30 Server (i686)
fedora-30                x86_64     Fedora® 30 Server
fedora-31                x86_64     Fedora® 31 Server

still do not see it in virt-builder.

Comment 11 Daniel Berrangé 2020-05-19 09:18:58 UTC
Libosinfo metadata is about providing info about guest hardware support, recipes for kickstart, and info about ISO images/ install trees. Thi sis used by virt-manager, virt-install, GNOME Boxes, cockpit,e tc.

virt-builder is tool which downloads pre-built disk images and clones them to create a local VM. If virt-builder doesn't support f32, you'll need to file a bug against virt-builder. Libosinfo can't fix that.

Comment 12 Fabiano Fidêncio 2020-05-19 09:20:23 UTC
(In reply to Mohammed Arafa from comment #8)
> Created attachment 1689262 [details]
> are we supposed to see this?

Seems like an issue.
However, would  be better to have that opened as either a different BZ, or directly on https://gitlab.com/libosinfo/osinfo-db.

I'll need you to add as much information as you can provide. For instance, the command line you used that had that error triggered.

Thanks!

Comment 13 Fedora Update System 2020-05-31 03:56:33 UTC
FEDORA-2020-620f86784a has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.